# Containerized Cloud Backup

In this repository you'll find everything to get your own containerized cloud backup going. We'll make use of:
- [**Restic**](https://restic.net/), a modern **backup program**
- [**MinIO**](https://github.com/minio/minio), an [Amazon S3](https://aws.amazon.com/s3/) compatible object storage, as **backup target**
- [Docker Compose](https://docs.docker.com/compose/) for orchistration
- cron (in the restic container) to schedule backups
- scripts to run new and clean up old backups
- bonus: scripts to push metrics for [Prometheus](https://prometheus.io/)
- [MinIO MC](https://github.com/minio/mc) to control MinIO from command line


### Next steps
1. [Get your MinIO server running](minio/) or make use of the [IN-Ulm MinIO Service](https://s3.ulm-store.de/)
2. [Setup a S3 bucket with MinIO MC](minio-mc)
3. [Setup restic](restic/)
