# MinIO
[**MinIO**](https://github.com/minio/minio), an [Amazon S3](https://aws.amazon.com/s3/) compatible object storage server.

## Scope
Scope of the **basic setup** is to run minio  
- as unprivileged user
- with a directoy mounted for data
- with the container port 9000 (s3) mapped to a host port

Scope of the **advance setup** is to run minio
- web ui (console, port 9001) with basic auth behind a reverse-proxy (port 443) with letsencrypt
- s3 (port 9000) with the tls cert from above and restricted to certain source IPs


## Configuration
### Basic Configuration
1. Prepare your .env file: `cp .env.template .env`
2. [Generate](../KEY-GENERATION.md) and add your admin keys in .env
3. Create a home and data directory owned by 1000:1000
4. Define your port mapping

### Advanced Configuration

#### Preconditions:
  - [Reverse proxy with Letsencrypt companion](https://git.in-ulm.de/ulpeters/reverse-proxy) running

#### Steps
  - set $HOSTNAME in .env
  - set $CERT_PATH in .env
  - Setup FW